DCLUTDMP(1)

NAME
dclutdmp - ACR/NEMA DICOM PS3 ... DICOM PS3 - dump LUT contents

SYNOPSIS

dclutdmp [ -ancreate ] [ -min value ] [ -max value ] [ -v|verbose ] [ -filename ]

DESCRIPTION

dclutdmp reads the named dicom input file and dumps the contents of any VOI LUT present (as decimal values).

OPTIONS
The descriptive attributes go to standard error.

The tab delimited input vs. output value list goes to stdout.

The basic input switches are described in dcintro(1). Options specific to this program are:

-ancreate
    Display item, end item and end sequence delimiter tags in a form suitable to feed into ancreate.

-min value

-max value
    Specify the first and last input values to dump ... if these are greater than the specified input range of the actual LUT, then the first and last output values are replicated as per the standard. The values may also be less than the actual LUT range. This option makes it easier to concatenate two LUTs specified over different input values for the purposes of comparison.

-verbose
    Dump the complete list of DICOM attributes present in the input to stderr.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

FILES

SEE ALSO
ancreate(1), andump(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS